# $Revision: 1.77 $, $Date: 2012/01/14 01:03:37 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	SSLeay
Summary:	Crypt::SSLeay - OpenSSL glue that provides LWP HTTPS support
Summary(cs.UTF-8):	Crypt::SSLeay - spojení OpenSSL, které poskytuje podporu HTTPS pro LWP
Summary(da.UTF-8):	Crypt::SSLeay - OpenSSL-klister som giver understøttelse for LWP HTTPS
Summary(de.UTF-8):	Crypt::SSLeay - OpenSSL Elemente für LWP HTTPS Support
Summary(es.UTF-8):	Crypt::SSLeay - Enlace OpenSSL que proporciona soporte HTTPS LWP
Summary(fr.UTF-8):	Crypt::SSLeay - colle OpenSSL fournissant une prise en charge LWP HTTPS
Summary(it.UTF-8):	Crypt::SSLeay - OpenSSL glue che fornisce supporto per LWP HTTPS
Summary(ja.UTF-8):	Crypt::SSLeay - LWP HTTPSのサポートを提供するOpenSSL glue
Summary(ko.UTF-8):	Crypt::SSLeay - LWP HTTPS 지원을 제공하는 OpenSSL 접착(glue) 입니다
Summary(pl.UTF-8):	Crypt::SSLeay - obsługa HTTPS dla LWP przez połączenie z OpenSSL
Summary(pt.UTF-8):	Crypt::SSLeay - a interface de OpenSSL que oferece o suporte em LWP de HTTPS
Summary(pt_BR.UTF-8):	Crypt::SSLeay - a interface de OpenSSL que oferece o suporte em LWP de HTTPS
Summary(sv.UTF-8):	Crypt::SSLeay - OpenSSL-klister som gör stöd för LWP HTTPS
Summary(tr.UTF-8):	Crypt::SSLeay - LWP HTTPS desteği sağlayan OpenSSL bağlantısı
Summary(zh_CN.UTF-8):	Crypt::SSLeay - 提供 LWP HTTPS 支持的 OpenSSL 胶水
Summary(zh_TW.UTF-8):	Crypt::SSLeay - 提供 LWP HTTPS 支援的 OpenSSL glue。
Name:		perl-Crypt-SSLeay
Version:	0.58
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fbf3d12e58462cee00ea63239c0b13c7
URL:		http://search.cpan.org/dist/Crypt-SSLeay/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This perl module provides support for the HTTPS protocol under LWP,
so that a LWP::UserAgent can make HTTPS GET & HEAD & POST requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on HTTPS requests, and provides the
necessary SSL glue for that module to work.

%description -l cs.UTF-8
Tento modul Perlu nabízí podporu pro protokol HTTPS pod LWP, takže
LWP::UserAgent může provádět HTTPS požadavky GET & HEAD & POST. Pro
informace o požadavcích POST si prosím přečtěte perldoc LWP.

Balíček Crypt::SSLeay obsahuje Net::SSL, který je automaticky nahrán
LWP::Protocol::https při požadavcích HTTPS, a nabízí potřebné spojení
SSL, aby tento modul fungoval.

%description -l da.UTF-8
Dette perlmodul giver understøttelse for protokollen HTTPS under LWP,
så en LWP::UserAgent kan lave HTTPS-forespørgslerne GET & HEAD & POST.
Se perldoc LWP for mere information om POST-forespørgsler.

Pakken Crypt::SSLeay indeholder Net::SSL som automatisk læses ind af
LWP::Protocol::https ved HTTPS-forespørgsler, og giver det nødvendige
SSL-klister til at det modul kan fungere.

%description -l de.UTF-8
Dieses Perl-Modul liefert Support für das HTTPS-Protokoll unter LWP,
so dass ein LWP::UserAgent HTTPS GET & HEAD & POST Anfragen ausführen
kann. Weitere Informationen über POST-Anfragen sindin perldoc LWP
enthalten.

Das Crypt::SSLeay Paket enthält Net::SSL, das bei HTTPS-Anfragen
automatisch von LWP::Protocol::https geladen wird, und bietet die
erforderlichen SSL-Elemente für das Modul.

%description -l es.UTF-8
Este módulo perl proporciona soporte para el protocolo HTTPS bajo LWP,
de manera que LWP::UserAgent pueda crear peticiones GET & HEAD & POST.
Consulte perldoc LWP para más información sobre las peticiones POST.

El paquete Crypt::SSLeay contiene Net::SSL, que se descarga
automáticamente por LWP::Protocol::https en las peticiones HTTPS y
proporciona los elementos necesarios SSL para que funcione el módulo.

%description -l fr.UTF-8
Le module perl fournit un support pour le protocole HTTPS sous LWP, de
manière à ce qu'un LWP::UserAgent puisse exécuter les requêtes GET &
HEAD & POST. Veuillez consulter perldoc LWP pour obtenir de plus
amples informations concernant les requêtes POST.

Le paquetage Crypt::SSLeay contient Net::SSL, qui est chargé
automatiquement par LWP::Protocol::https sur les requêtes HTTPS, et
fournit la colle SSL nécessaire pour faire fonctionner ce module.

%description -l it.UTF-8
Questo modulo di perl supporta il protocollo HTTPS in LWP, in modo che
un LWP::UserAgent possa effettuare richieste GET & HEAD & POST HTTP.
Consultare perldoc LWP per ulteriori informazioni sulle richieste
POST.

Il pacchetto Crypt::SSLeay contiene Net::SSL, che viene caricato
automaticamente da LWP::Protocol::https sulle richieste HTTP e
fornisce la colla SSL necessaria per far funzionare quel modulo.

%description -l ja.UTF-8
この perlモジュールは、LWPの元でHTTPSプロトコル用のサポートを提供しま
す。ですから、LWP::UserAgent は HTTPS GET & HEAD & POSTリクエストを
作成できます。 POSTリクエストの詳細については perldoc LWPを
御覧下さい。 理 末スト Crypt::SSLeayパッケージには、hリクエストにより
LWP::Protocol::https で自動的にロードされるNet::SSLを含んでいます。そ
して、モジュールが動作するよう に 必要なSSL glueを提供します。

%description -l ko.UTF-8
이 perl 모듈은 LWP::UserAgent가 HTTPS GET, HEAD, POST 요청을 생성할 수
있도록 LWP 하에서 HTTPS 프로토콜에 대한 지원을 제공합니다. POST 요청에
대한 보다 많은 정보를 원하시면, perldoc LWP를 참조하시기 바랍니다.

Crypt::SSLeay 패키지에는 HTTPS 요청에 따라 LWP::Protocol::https에 의해
자동으로 로딩되는 Net::SSL가 포함되어 있으며, 해당 모듈이 작동하는데
필요한 SSL 접착 (glue)을 제공합니다.

%description -l pl.UTF-8
Ten moduł Perla dostarcza obsługę protokołu HTTPS dla LWP, dzięki
czemu LWP::UserAgent może wykonywać zapytania GET i POST po HTTPS.

Pakiet Crypt::SSLeay zawiera moduł Net::SSL, automatycznie ładowany
przez LWP::Protocol::https w przypadku zapytań HTTPS, oraz dostarcza
niezbędnych do jego działania składników.

%description -l pt.UTF-8
Este módulo de Perl providencia o suporte para o protocolo HTTP em
LWP, de modo a que um LWP::UserAgent possa fazer pedidos de HTTPS de
GET & HEAD & POST. Veja o LWP do 'perldoc' para mais informações sobre
os pedidos de POST.

O pacote Crypt::SSLeay contém o Net::SSL, que é carregado
automaticamente pelo LWP::Protocol::https nos pedidos de HTTPS, e que
fornece a lógica de interacção com o SSL necessária para o módulo
funcionar.

%description -l pt_BR.UTF-8
Este módulo de Perl providencia o suporte para o protocolo HTTP em
LWP, de modo a que um LWP::UserAgent possa fazer pedidos de HTTPS de
GET & HEAD & POST. Veja o LWP do 'perldoc' para mais informações sobre
os pedidos de POST.

O pacote Crypt::SSLeay contém o Net::SSL, que é carregado
automaticamente pelo LWP::Protocol::https nos pedidos de HTTPS, e que
fornece a lógica de interacção com o SSL necessária para o módulo
funcionar.

%description -l sv.UTF-8
Denna perlmodul ger stöd för protokollet HTTPS under LWP, så att en
LWP::UserAgent kan göra HTTPS-begäran GET & HEAD & POST.  Se perldoc
LWP för mer information om POST-begäran.

Paketet Crypt::SSLeay innehåller Net::SSL som automatiskt läses in av
LWP::Protocol::https vid HTTPS-begäran, och ger det nödvändiga
SSL-klistret för att den mudulen skall fungera.

%description -l zh_CN.UTF-8
该 Perl 模块提供对 LWP 下的 HTTPS 协议的支持，因此
 LWP::UserAgent 能够进行HTTPS GET & HEAD & POST
请求。请参阅 perldoc LWP 来获取关于 POST 请求的详
细信息。

Crypt::SSLeay 软件包包含 Net::SSL(它在 HTTPS 请求时
被 LWP::Protocol::https 自动载入)，并且为该模块的运行
提供了必要的 SSL 胶水。

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
yes "" | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorarch}/Crypt/SSLeay.pm
%{perl_vendorarch}/Crypt/SSLeay
%{perl_vendorarch}/Net/SSL.pm
%dir %{perl_vendorarch}/auto/Crypt/SSLeay
%{perl_vendorarch}/auto/Crypt/SSLeay/SSLeay.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/SSLeay/SSLeay.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-SSLeay.spec,v $
Revision 1.77  2012/01/14 01:03:37  zbyniu
- up to 0.58

Revision 1.76  2011/10/11 08:12:59  lisu
- rel 8

Revision 1.75  2010/11/12 23:38:22  pawelz
- release 7

Revision 1.74  2010/06/06 08:33:41  arekm
- release 6

Revision 1.73  2010/04/12 19:29:05  arekm
- release 5

Revision 1.72  2009/03/14 11:37:05  hawk
- release 4

Revision 1.71  2008/03/15 20:35:43  qboosh
- unified generic URL

Revision 1.70  2008-03-02 17:31:12  radek
- release 3

Revision 1.69  2008-02-10 12:05:34  arekm
- rel 2

Revision 1.68  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.67  2007-11-03 01:46:01  qboosh
- updated to 0.57

Revision 1.66  2007/09/17 14:14:42  baggins
- rel 2
- fixed doc

Revision 1.65  2007/09/17 14:04:30  baggins
- up to 0.56
- removed init patch (fixed upstream)

Revision 1.64  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.63  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.62  2004/11/03 22:30:14  paladine
- formatting

Revision 1.61  2004/10/29 09:27:53  paladine
- "HTTP" and "HTTPS" unification

Revision 1.60  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.59  2004/05/09 09:10:17  qboosh
- added init patch (fixes tests on sparc); release 2

Revision 1.58  2004/05/06 18:09:26  ankry
- fixed perl-devel BR

Revision 1.57  2004/05/05 11:02:11  ankry
- cosmetics

Revision 1.56  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.55  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.54  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.53  2004/03/19 23:46:32  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.52  2003/09/30 20:18:29  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.51  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.50  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.49  2003/06/17 22:17:43  qboosh
- updated to 0.51

Revision 1.48  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.47  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/04/20 22:41:28  ankry
- merged translations from RH

Revision 1.45  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.44  2003/03/01 18:46:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.43  2003/02/18 15:29:46  ankry
- massive attack: change CPAN URLs

Revision 1.42  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.41  2003/02/05 16:17:49  ankry
- autoupdated to 0.49

Revision 1.40  2002/08/12 11:30:09  radek
- translations, cleaning
- release 3

Revision 1.39  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.38  2002/08/07 04:57:45  kloczek
- updated to 0.45,
- added performing post build tests.

Revision 1.37  2002/07/16 21:22:06  kloczek
- updated to 0.41.

Revision 1.36  2002/07/16 13:55:00  ankry
- reverted accidental pl description modification

Revision 1.35  2002/07/16 11:32:21  ankry
- translations, cleaning
- release 2

Revision 1.34  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.33  2002/07/11 07:58:15  depesz
- new version; should work; STBR

Revision 1.32  2002/07/10 08:46:49  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.31  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.30  2002/02/25 10:30:24  depesz
cleanup; revision++

Revision 1.29  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/02/13 14:10:46  depesz
automatic: Source location unified, Relase Up

Revision 1.27  2002/02/10 15:25:06  depesz
adapterized

Revision 1.26  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/11/27 16:29:10  mis
- autoupdated to 0.35

Revision 1.24  2001/10/01 09:45:16  mis
- autoupdated to 0.31

Revision 1.23  2001/07/10 14:10:15  mis
- autoupdated to 0.29

Revision 1.22  2001/06/15 10:49:17  mis
- autoupdated to 0.27

Revision 1.21  2001/05/09 00:15:56  kloczek
- release 3: rebuild against openssl 0.9.6a.

Revision 1.20  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.19  2001/04/17 12:07:06  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.18  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.17  2001/04/12 12:42:11  mis
- autoupdated to 0.25

Revision 1.16  2001/03/12 22:28:53  kloczek
- updated to 0.23.

Revision 1.15  2001/02/02 04:17:04  kloczek
- updated to 0.22.

Revision 1.14  2001/01/25 20:03:44  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2000/12/30 05:41:36  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.12  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.11  2000/12/07 18:04:57  kloczek
- removed Vendor, Distribution fields,
- added using new rpm automation,
- do not include .packlist file in %%files.

Revision 1.10  2000/10/11 06:30:12  depesz
najnowsze wersje.
